This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 870333 - katello-configure fails for the nightly headpin build
katello-configure fails for the nightly headpin build
Status: CLOSED WORKSFORME
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Tom McKay
Tazim Kolhar
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-10-26 03:57 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 14:34:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-10-26 03:57:00 EDT
Description of problem:
katello-configure fails for headpin nightly build

Version-Release number of selected component (if applicable):

# rpm -qa | grep katello
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.1-1.git.59.316ee86.el6.noarch
katello-glue-candlepin-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-configure-1.2.0-1.git.211.6c21342.el6.noarch
katello-headpin-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-certs-tools-1.1.9-1.el6.noarch
katello-cli-1.2.1-1.git.59.316ee86.el6.noarch
katello-common-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-headpin-all-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-selinux-1.1.2-1.el6.noarch

How reproducible:

# yum install -y katello-headpin-all
# katello-configure --deployment=headpin

Steps to Reproduce:
1. yum install -y katello-headpin-all
2. katello-configure --deployment=headpin

  
Actual results:
# katello-configure --deployment=headpin
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20121026-034345/main.log]
Creating Candlepin database user
############################################################ ... OK
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
Populating Katello database schema
############################################################ ... OK
Initializing Katello data
############################################################ ... OK
err: /Stage[main]/Katello::Service/Service[katello-jobs]/ensure: change from stopped to running failed: Could not start Service[katello-jobs]: Execution of '/sbin/service katello-jobs start' returned 1:  at /usr/share/katello/install/puppet/modules/katello/manifests/service.pp:21


Expected results:
The configuration should work resulting into headpin setup
 
Additional info:
Comment 1 Tom McKay 2012-10-31 13:10:53 EDT
Can you confirm this still happens? Nightly is working for me.
Comment 2 Og Maciel 2012-10-31 14:53:21 EDT
I was able to install today, so I believe it is safe to close it.
Comment 3 Tazim Kolhar 2012-11-01 02:02:26 EDT
Hi,


   had tried again to setup headpin using (cron job):

    - http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/view/qe-headpin/job/Install-Headpin-Nightly-1.2-RHEL

   was able to obtain a clean setup :
   
     - https://beaker.engineering.redhat.com/jobs/325209


  Athough the the setup prior to this had failed with the
  same error :
  
     - http://lab-02.rhts.eng.bos.redhat.com/beaker/logs/tasks/8778324/TESTOUT.log
Comment 4 Tom McKay 2012-11-27 14:34:17 EST
Closing for now. There is some work on-going for katello-configure that may impact this.

Note You need to log in before you can comment on or make changes to this bug.